<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/30/2011 *
 * ===================                          Last change: 06/30/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_email_max_rec.php                      *
 * -------------------------------------------------------------------- *
 * Short description : Edit all things around email and sending         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aendern aller Email-Einstellungen                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Remove empty array index
if (!isPostRequestElementSet('max')) {
	unsetPostRequestElement('add_max');
} // END - if

if (isPostRequestElementSet('add_max')) {
	// Save all settings
	$result = SQL_QUERY_ESC("SELECT `id` FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE value='%s' LIMIT 1",
	array(bigintval(postRequestElement('max'))), __FILE__, __LINE__);
	if (SQL_HASZERONUMS($result)) {
		// Add this value (including comment)
		SQL_QUERY_ESC("INSERT INTO `{?_MYSQL_PREFIX?}_max_receive` (`value`,`comment`) VALUES ('%s','%s')",
		array(bigintval(postRequestElement('max')), postRequestElement('comment')),__FILE__, __LINE__);
		$content = '{--ADMIN_MAX_VALUE_SAVED--}';
	} else {
		// Value does alread exists!
		$content = '<span class="notice">{--ADMIN_MAX_VALUE_ALREADY--}</span>';
	}

	// Free memory
	SQL_FREERESULT($result);

	// Display message
	displayMessage($content);
} elseif ((isFormSent()) && (isGetRequestElementSet('do'))) {
	// Change or delete entries...
	$TEXT = '';
	foreach (postRequestElement('id') as $id => $value) {
		// Secure id
		$id = bigintval($id);

		switch (postRequestElement('do')) {
			case 'edit': // Change entries
				SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_max_receive` SET value='%s', comment='%s' WHERE `id`=%s LIMIT 1",
				array(
					bigintval(postRequestElement('val', $id)),
					postRequestElement('comm', $id),
					$id
				),__FILE__, __LINE__);
				$TEXT = '{--ADMIN_MAX_RECEIVE_SAVED--}';
				break;

			case 'delete':
				SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
					array($id), __FILE__, __LINE__);
				$TEXT = '{--ADMIN_MAX_RECEIVE_DELETED--}';
				break;
		}
	}

	if (isset($TEXT)) {
		// Display message
		displayMessage($TEXT);
	} // END - if
} elseif ((isFormSent('delete')) && (ifPostContainsSelections())) {
	// Delete entries
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		// Load data
		$result = SQL_QUERY_ESC("SELECT `id`,`value`,`comment` FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = SQL_FETCHARRAY($result);
		SQL_FREERESULT($result);

		// Load row template and switch color
		$OUT .= loadTemplate('admin_delete_email_max_rec_row', true, $content);
	} // END - foreach
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_delete_email_max_rec', false, $content);
} elseif ((isFormSent('edit')) && (ifPostContainsSelections())) {
	// Edit entries
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		// Load data
		$result = SQL_QUERY_ESC("SELECT `id`,`value`,`comment` FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = SQL_FETCHARRAY($result);
		SQL_FREERESULT($result);

		// Load row template and switch color
		$OUT .= loadTemplate('admin_edit_email_max_rec_row', true, $content);
	} // END - foreach
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_edit_email_max_rec', false, $content);
} else {
	$result = SQL_QUERY("SELECT `id`,`value`,`comment` FROM `{?_MYSQL_PREFIX?}_max_receive` ORDER BY `value` ASC",
	__FILE__, __LINE__);
	if (!SQL_HASZERONUMS($result)) {
		// List already existing entries for editing
		$OUT = '';
		while ($content = SQL_FETCHARRAY($result)) {
			// Load row template and switch color
			$OUT .= loadTemplate('admin_list_email_max_rec_row', true, $content);
		} // END - while

		// Free memory
		SQL_FREERESULT($result);
		$content['rows'] = $OUT;

		// Load main template
		loadTemplate('admin_list_email_max_rec', false, $content);
	} // END - if

	// Display form
	loadTemplate('admin_add_max');
}

// [EOF]
?>
